Bug 1115855 - [RFE] Extend the LDAP backend to retrieve extended set of attributes
Summary: [RFE] Extend the LDAP backend to retrieve extended set of attributes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-03 09:15 UTC by Jakub Hrozek
Modified: 2020-05-02 17:27 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-20 15:25:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 3115 0 None None None 2020-05-02 17:27:43 UTC

Description Jakub Hrozek 2014-07-03 09:15:32 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2073

This is a second part of ticket #2072. The LDAP provider must be extended in configuration so that it's able to read more attributes specified as a set by the admin.

There already is some code in [http://fedorapeople.org/cgit/jhrozek/public_git/sssd.git/commit/?h=nssattr my fedorapeople repository]

Comment 1 Jakub Hrozek 2014-07-03 09:19:31 UTC
Hi Jan,

when you're testing https://wiki.idm.lab.bos.redhat.com/export/idmwiki/IPA/Integration/Satellite, I assume you will also test including extra LDAP attributes. That test would in turn verify this RFE. Could you mark this bugzilla as VERIFIED then, too?

Comment 2 Jan Hutař 2014-07-18 09:34:52 UTC
Yes, we will test this bug, but in a scope of:

  https://fedorahosted.org/spacewalk/wiki/SpacewalkAndIPA

But I guess that is what is needed as SW consumes organization setting from IPA and so on.

Note - description of the feature:

  https://fedorahosted.org/sssd/wiki/DesignDocs/DBusResponder

Comment 3 Pavel Studeník 2014-07-22 14:46:06 UTC
I tested this extension on spacewalk 2.2. and it works correct. I verified it with following packages and extra attributes.

ldap_user_extra_attrs = mail, givenname, sn, ou

ipa-server-3.0.0-37.el6.x86_64
sssd-ldap-1.11.6-3.el6.x86_64
sssd-1.11.6-3.el6.x86_64

Comment 6 Kaushik Banerjee 2014-08-20 15:16:38 UTC
This is an internal fix to integrate with spacewalk. Sanity only testing from QE is only needed.

Nacking this bug so that it doesn't get added in the errata.

Comment 7 RHEL Program Management 2014-08-20 15:25:57 UTC
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.